Debian Bug report logs - #154798
crafty: crafty has binary conffiles in /var

version graph

Package: crafty; Maintainer for crafty is Oliver Korff <ok@xynyx.de>; Source for crafty is src:crafty.

Reported by: Jonathan David Amery <jdamery@ysolde.ucam.org>

Date: Tue, 30 Jul 2002 01:48:02 UTC

Severity: normal

Found in version 18.12-4

Fixed in version crafty/18.13-3

Done: Eric Van Buggenhaut <ericvb@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Van Buggenhaut <ericvb@debian.org>, crafty@packages.qa.debian.org:
Bug#154798; Package crafty. Full text and rfc822 format available.

Acknowledgement sent to Jonathan David Amery <jdamery@ysolde.ucam.org>:
New Bug report received and forwarded. Copy sent to Eric Van Buggenhaut <ericvb@debian.org>, crafty@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan David Amery <jdamery@ysolde.ucam.org>
To: submit@bugs.debian.org
Subject: crafty: crafty has binary conffiles in /var
Date: Tue, 30 Jul 2002 02:30:41 +0100
Package: crafty
Version: 18.12-4
Severity: normal

 crafty keeps a number of binary conffiles in /var.
 
 These files should (a) not be conffiles - there is no easy way to merge
changes for them, and the busy sysadmin won't know that sie can't just hit Y
to get the maintainer's new version.

 (b) not be installed straight into /var.
 
 #debian-devel seems to think that:
 
 1) crafty should ship the example/initial files in /usr/share/crafty/ (not
/usr/share/doc/crafty - since you are not allowed to rely on /usr/share/doc/ )

 2) crafty should, in the postinst, test for the existance of the files in
/var and copy the example to /var if it does not already exist.

 3) in the prerm, if crafty is being purged, then the files should be
deleted from /var

-- System Information
Debian Release: 3.0
Kernel Version: Linux ysolde 2.2.16-rmk3 #7 Tue Sep 5 08:11:58 BST 2000 armv4l unknown

Versions of the packages crafty depends on:
ii  libc6          2.2.5-10       GNU C Library: Shared libraries and Timezone



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Van Buggenhaut <ericvb@debian.org>, crafty@packages.qa.debian.org:
Bug#154798; Package crafty. Full text and rfc822 format available.

Acknowledgement sent to Eric.VanBuggenhaut@AdValvas.be:
Extra info received and forwarded to list. Copy sent to Eric Van Buggenhaut <ericvb@debian.org>, crafty@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 154798@bugs.debian.org (full text, mbox):

From: Eric Van Buggenhaut <Eric.VanBuggenhaut@AdValvas.be>
To: Jonathan David Amery <jdamery@ysolde.ucam.org>
Cc: 154798@bugs.debian.org
Subject: Re: Bug#154798: crafty: crafty has binary conffiles in /var
Date: Tue, 30 Jul 2002 18:42:40 +0200
Thanks for your report.


On Tue, Jul 30, 2002 at 02:30 +0100, Jonathan David Amery wrote:
> Package: crafty
> Version: 18.12-4
> Severity: normal
> 
>  crafty keeps a number of binary conffiles in /var.
>  
>  These files should (a) not be conffiles - there is no easy way to merge
> changes for them, and the busy sysadmin won't know that sie can't just hit Y
> to get the maintainer's new version.
> 
>  (b) not be installed straight into /var.
>  
>  #debian-devel seems to think that:

Can you give me a pointer to the thread ? I wasn't aware of that
discussion.

>  
>  1) crafty should ship the example/initial files in /usr/share/crafty/ (not
> /usr/share/doc/crafty - since you are not allowed to rely on /usr/share/doc/ )
> 
>  2) crafty should, in the postinst, test for the existance of the files in
> /var and copy the example to /var if it does not already exist.
> 
>  3) in the prerm, if crafty is being purged, then the files should be
> deleted from /var

At the moment I'm reorganizing crafty package. Opening books have been
split off and live in a package on their own. They're called
crafty-books-{small,smalltomed,medium} depending on the size you're
interested in. Try crafty version 18.13-2 in sid. It still ships with
files in /var/lib/crafty, but they're empty. System will still
complain when you install opening books files but you can ignore it.
What I'm thinking now is that I'll remove those empty files from
crafty main package. Learning will be disabled but you can easily
enable it by installing any of the opening books. Rationale is that
crafty engine automatically disable learning if /var/lib/crafty
contains no files.

Does this answer your concerns ?

Cheers,

-- 
Eric VAN BUGGENHAUT
Eric.VanBuggenhaut@AdValvas.be



Reply sent to Eric Van Buggenhaut <ericvb@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jonathan David Amery <jdamery@ysolde.ucam.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 154798-close@bugs.debian.org (full text, mbox):

From: Eric Van Buggenhaut <ericvb@debian.org>
To: 154798-close@bugs.debian.org
Subject: Bug#154798: fixed in crafty 18.13-3
Date: Thu, 15 Aug 2002 16:02:48 -0400
We believe that the bug you reported is fixed in the latest version of
crafty, which is due to be installed in the Debian FTP archive:

crafty_18.13-3.diff.gz
  to pool/non-free/c/crafty/crafty_18.13-3.diff.gz
crafty_18.13-3.dsc
  to pool/non-free/c/crafty/crafty_18.13-3.dsc
crafty_18.13-3_i386.deb
  to pool/non-free/c/crafty/crafty_18.13-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 154798@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eric Van Buggenhaut <ericvb@debian.org> (supplier of updated crafty package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  6 May 2002 01:01:51 +0200
Source: crafty
Binary: crafty
Architecture: source i386
Version: 18.13-3
Distribution: unstable
Urgency: low
Maintainer: Eric Van Buggenhaut <ericvb@debian.org>
Changed-By: Eric Van Buggenhaut <ericvb@debian.org>
Description: 
 crafty     - State-of-the-art chess engine, compatible with xboard.
Closes: 145918 154798
Changes: 
 crafty (18.13-3) unstable; urgency=low
 .
   * Corrected crafty.doc, which refered to a non-existing package
     (closes: #145918)
   * postinst better handles files in /var/cache/crafty (closes: #154798)
Files: 
 3054eef2fb827574768b33ec1e7e66f8 564 non-free/games optional crafty_18.13-3.dsc
 8992ef23f3722dc52831b8d7f9983b9d 44918 non-free/games optional crafty_18.13-3.diff.gz
 93b98a560b711fab6dc5716e0b1f4078 238772 non-free/games optional crafty_18.13-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE9XAQe4VLuWbCehTARAsYZAKCneRT9QC4bEx8EtyyfIxhCrmtCpwCeJ9C4
mVxb8bTRYzQ9XLdsaJMyUtk=
=jvkc
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:06:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.